Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 81)
+++ /palm/trunk/SCRIPTS/mrun	(revision 82)
@@ -2315,88 +2308,22 @@
 
           # COMPILING WITH MAKE (ON NEC COMPILER IS CALLED ON HOST CROSS)
-       if [[ "$use_makefile" = true ]]
-       then
-          printf "\n\n\n  *** compilation starts \n$striche\n"
-          printf "  *** compilation with make using following options:\n"
-          printf "      compilername:             $compiler_name\n"
-          printf "      options:                  $FOPTS\n"
-          printf "      preprocessor-directives:  $C_PPOPTS \n"
-          printf "      linker-options:           $LOPTS \n"
-          printf "      source code files:        $source_list \n"
-
-          if [[ $localhost = nech ]]
-          then
-             ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$C_PPOPTS\"  F90FLAGS=\"$FOPTS\"  LDFLAGS=\"$LOPTS\" "
-             cp  $TEMPDIR_COMPILE/a.out  .
-             [[ $? != 0 ]]  &&  compile_error=true
-             rm -rf  $TEMPDIR_COMPILE
-          else
-             make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$C_PPOPTS"  F90FLAGS="$FOPTS"  LDFLAGS="$LOPTS"
-          fi
-
-          # UEBERSETZUNG "VON HAND" (OHNE MAKE)
+       printf "\n\n\n  *** compilation starts \n$striche\n"
+       printf "  *** compilation with make using following options:\n"
+       printf "      compilername:             $compiler_name\n"
+       printf "      options:                  $fopts\n"
+       printf "      preprocessor-directives:  $cpp_options \n"
+       printf "      linker-options:           $lopts \n"
+       printf "      source code files:        $source_list \n"
+
+       if [[ $localhost = nech ]]
+       then
+          ssh  136.172.44.192 -l $usern ". /SX/opt/etc/initsx.sh; cd \$HOME/work/${usern}.$kennung; sxmake -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          cp  $TEMPDIR_COMPILE/a.out  .
+          [[ $? != 0 ]]  &&  compile_error=true
+          rm -rf  $TEMPDIR_COMPILE
        else
-
-
-             # UEBERSETZUNG DER QUELLTEXT-DATEIEN UND DES HAUPTPROGRAMMS
-             # $CPPOPTS FUER CPP-PRAEPROZESSOR WURDEN OBEN BESTIMMT
-          printf "\n\n\n  *** compilation starts \n$striche\n"
-
-
-             # VORWEG EVTL. UEBERSETZUNG VON PROGRAMMTEILEN MIT SPEZIELLEN
-             # COMPILERN UND/ODER COMPILEROPTIONEN. DIESE WERDEN BEI DER SPAETEREN
-             # EIGENTLICHEN UEBERSETZUNG ALS OBJECT-FILES EINGEBUNDEN
-          new_source_list=""
-          for  filename  in  $source_list
-          do
-
-             basename=`print $filename | cut -f1 -d"."`
-
-                # EVTL. SPEZIELLEN COMPILER FUER UP BESTIMMEN
-             comp_var=$(eval echo \$comp_$basename)  # \$ liefert evtl. fuer source alternativ vereinbarten Compiler
-             comp_opt_var=$(eval echo \$$basename)  # \$$ liefert evtl. fuer source vereinbarte Compiler-Environment-Variable
-
-             if [[ "$comp_var" = ""  &&  "$comp_opt_var" = "" ]]
-             then
-                new_source_list="$new_source_list "$filename
-             else
-
-                if [[ "$comp_var" = "" ]]
-                then
-                   SPECIAL_COMPILER=$compiler_name
-                else
-                   SPECIAL_COMPILER=$comp_var
-                fi
-
-                if [[ "$comp_opt_var" = "" ]]
-                then
-                   SPECIAL_FOPTS=$FOPTS
-                else
-                   SPECIAL_FOPTS="$parallel_options $(eval echo \$$comp_opt_var)"
-                fi
-
-                printf "  *** compiling of $filename with special compiler call: $SPECIAL_COMPILER  $CPPOPTS  -c $SPECIAL_FOPTS \n"
-                $SPECIAL_COMPILER  $C_PPOPTS  -c $SPECIAL_FOPTS  $MODULE_OPTIONS  $filename  
-                if [[ $? != 0 ]]
-                then
-                   printf "\n  +++ compiling error occured"
-                   locat=compile
-                   exit
-                fi
-                new_source_list="$new_source_list "${basename}.o
-             fi
-          done
-          source_list="$new_source_list"
-
-
-             # EIGENTLICHE UEBERSETZUNG MIT DEN NORMALEN OPTIONEN
-          printf "  *** compilation with standard options: $compiler_name $FOPTS $MODULE_OPTIONS \n"
-          printf "      preprocessor-directives:           $C_PPOPTS \n"
-          printf "      linker-options:                    $LOPTS \n"
-          printf "      source code files:                 $source_list \n"
-
-          $compiler_name  $C_PPOPTS  $FOPTS  $MODULE_OPTIONS  $LOPTS  $source_list  
-
-       fi
+          make -f Makefile PROG=a.out  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$fopts"  LDFLAGS="$lopts"
+       fi
+
        if [[ $? != 0  ||  "$compile_error" = true  ||  "$module_compile_error" = true ]]
        then
@@ -2907,5 +2834,5 @@
 
              fi
-          elif [[ $host = lcmuk ]]
+          elif [[ $(echo $host | cut -c1-2) = lc  &&  $host != lctit ]]
           then
 
@@ -3106,31 +3033,21 @@
                    echo "set -x"                                    >    transfer_${localout[$i]}
                    echo "cd  $tmp_data_catalog/TRANSFER"            >>   transfer_${localout[$i]}
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      if [[ $files_for_pes = true ]]
-                      then
-                         printf "\n  +++ WARNING: no transfer of catalogs via ftpcopy\n"
-                      fi
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  by FTP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "ftpcopy -b -m $return_addres $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst"
-                      printf "\n              or higher cycle\n"
-                      echo "batch_scp $cps -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   fi
+
+                   printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP in seperate job to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst"
+                   printf "\n              or higher cycle\n"
+                   echo "batch_scp $cps -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
+
                    echo "[[ \$? = 0 ]]  &&  rm  $file_to_transfer"  >>  transfer_${localout[$i]}
 
                    if [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                    else
                       if [[ "$LOGNAME" = b323013 ]]
                       then
-                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       else
-                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       fi
                    fi
@@ -3140,20 +3057,8 @@
                       # TRANSFER INNERHALB DIESES JOBS
                    transfer_failed=false
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      if [[ $files_for_pes = true ]]
-                      then
-                         printf "\n  +++ WARNING: no transfer of catalogs via ftpcopy\n"
-                      fi
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  by FTP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      ftpcopy -b -m $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst\n"
-                      batch_scp $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   fi
+                   printf "\n  >>> OUTPUT: ${localout[$i]}$cst  by SCP to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}$cst\n"
+                   batch_scp $cps -b -m -u $return_username $return_addres  ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   [[ $? != 0 ]]  &&  transfer_failed=true
 
                       # BEI FEHLGESCHLAGENEM TRANSFER SICHERUNGSKOPIE AUF
@@ -3203,27 +3108,21 @@
                    echo "set -x"                                    >    transfer_${localout[$i]}
                    echo "cd  $tmp_data_catalog/TRANSFER"            >>   transfer_${localout[$i]}
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by FTP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "ftpcopy -A -b -m $return_addres $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP in seperate job to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
-                      printf "\n              or higher cycle\n"
-                      echo "batch_scp -A -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
-                   fi
+
+                   printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP in seperate job to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}"
+                   printf "\n              or higher cycle\n"
+                   echo "batch_scp -A -b -m -u $return_username $return_addres  $file_to_transfer \"${pathout[$i]}\" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}"  >>  transfer_${localout[$i]}
+
                    echo "[[ \$? = 0 ]]  &&  rm  $file_to_transfer"  >>  transfer_${localout[$i]}
 
                    if [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                    else
                       if [[ $LOGNAME = b323013 ]]
                       then
-                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       else
-                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  -f $filetransfer_protocol  transfer_${localout[$i]}
+                         subjob  -d  -v  -q c1  -X 0  -m 1000  -t 900  transfer_${localout[$i]}
                       fi
                    fi
@@ -3233,16 +3132,8 @@
                       # TRANSFER INNERHALB DIESES JOBS
                    transfer_failed=false
-                   if [[ $filetransfer_protocol = ftp ]]
-                   then
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by FTP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      ftpcopy -A -b -m $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   else
-                      printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP to"
-                      printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
-                      batch_scp -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
-                      [[ $? != 0 ]]  &&  transfer_failed=true
-                   fi
+                   printf "\n  >>> OUTPUT: ${localout[$i]}  append by SCP to"
+                   printf "\n              ${pathout[$i]}/${localhost}_${fname}${endout[$i]}\n"
+                   batch_scp -A -b -m -u $return_username  $return_addres ${localout[$i]} "${pathout[$i]}" ${localhost}_${fname}${endout[$i]}  ${extout[$i]}
+                   [[ $? != 0 ]]  &&  transfer_failed=true
 
                       # BEI FEHLGESCHLAGENEM TRANSFER SICHERUNGSKOPIE AUF
@@ -3413,8 +3304,8 @@
                    if [[ $localhost = ibmh  ||  $localhost = ibmb ]]
                    then
-                      subjob  -d  -v  -q cdata  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                      subjob  -d  -v  -q cdata  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                    elif [[ $localhost = nech ]]
                    then
-                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                      subjob  -d  -c /pf/b/$usern/job_queue  -v  -q pp  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                    fi
                    printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
@@ -3537,5 +3428,5 @@
                 fi
 
-                subjob  -v  -d  -q cdata  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                subjob  -v  -d  -q cdata  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                 printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
                 file_saved=true
@@ -3571,5 +3462,5 @@
                 fi
 
-                subjob  -v  -c /pf/b/$usern/job_queue  -d  -q pp  -X 0  -m 1000  -t 7200  -f $filetransfer_protocol  archive_${frelout[$i]}
+                subjob  -v  -c /pf/b/$usern/job_queue  -d  -q pp  -X 0  -m 1000  -t 7200  archive_${frelout[$i]}
                 printf "              Archiving of $tmp_data_catalog/${frelout[$i]} initiated (batch job submitted)\n"
                 file_saved=true
@@ -3754,5 +3645,5 @@
 
        # MRUN-BEFEHL FUER REMOTE-MASCHINE ZUSAMMENSTELLEN
-    mrun_com="$mrun_script_name -a $afname -c $config_file -d $fname -f $filetransfer_protocol -h $host -H $fromhost -m $memory -t $cpumax -q $queue -R $return_addres -U $return_username -u $remote_username"
+    mrun_com="$mrun_script_name -a $afname -c $config_file -d $fname -h $host -H $fromhost -m $memory -t $cpumax -q $queue -R $return_addres -U $return_username -u $remote_username"
     [[ "$cpp_opts" != "" ]]       &&  mrun_com=${mrun_com}" -D \"$cpp_opts\""
     [[ "$global_revision" != "" ]]  &&  mrun_com=${mrun_com}" -G \"$global_revision\""
@@ -3827,13 +3718,10 @@
        done
 
-       if [[ "$use_makefile" = true ]]
-       then
-             # ABDECKZEICHEN VERHINDERN, DASS ERSETZUNGEN ERFOLGEN
-          echo  "cat > Makefile << \"%END%\""               >>  $jobfile
-          cat   $source_catalog/Makefile                    >>  $jobfile
-          echo  " "                                         >>  $jobfile
-          echo  "%END%"                                     >>  $jobfile
-          echo  " "                                         >>  $jobfile
-       fi
+          # ABDECKZEICHEN VERHINDERN, DASS ERSETZUNGEN ERFOLGEN
+       echo  "cat > Makefile << \"%END%\""               >>  $jobfile
+       cat   $source_catalog/Makefile                    >>  $jobfile
+       echo  " "                                         >>  $jobfile
+       echo  "%END%"                                     >>  $jobfile
+       echo  " "                                         >>  $jobfile
 
        echo  "cd -  > /dev/null"                         >>  $jobfile
@@ -3882,10 +3770,5 @@
              echo  "%END%"                                    >>  $jobfile
           else
-             if [[ $filetransfer_protocol = ftp ]]
-             then
-                echo  "ftpcopy -b -o -g -s $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
-             else
-                echo  "batch_scp -b -o -g -s -u $return_username $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
-             fi
+             echo  "batch_scp -b -o -g -s -u $return_username $return_addres ${remotepathin[$i]} \"${pathin[$i]}\" ${frelin[$i]}" >>  $jobfile
           fi
 
@@ -3936,5 +3819,5 @@
     fi
 
-    subjob  $job_on_file  -h $host  -u $remote_username  -q $queue  -m $memory  -N $node_usage -t $cpumax  $XOPT  $TOPT  $OOPT  -n $fname  -f $filetransfer_protocol  -v   $jobfile
+    subjob  $job_on_file  -h $host  -u $remote_username  -q $queue  -m $memory  -N $node_usage -t $cpumax  $XOPT  $TOPT  $OOPT  -n $fname  -v   $jobfile
     rm -rf  $jobfile
 
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 81)
+++ /palm/trunk/SCRIPTS/subjob	(revision 82)
@@ -1,4 +1,4 @@
 #!/bin/ksh
-# subjob - Plot-Shellskript         Version:  @(#)SUBJOB 1.0    13/02/07
+# subjob - Plot-Shellskript         Version:  @(#)SUBJOB 1.0
 # $Id: subjob 54 2007-03-08 00:00:02Z raasch $
 
@@ -81,9 +81,9 @@
      # 13/02/07 - Siggi - hpmuk releated code removed
      # 01/03/07 - Siggi - adjustments for RIAM machines gate and NEC-SX8 (n-sx)
+     # 12/04/07 - Siggi - option -f (filetransfer protocol) removed, scp only
 
 
     # VARIABLENVEREINBARUNGEN + DEFAULTWERTE
  delete_dayfile=false 
- filetransfer_protocol=scp
  locat=normal
  no_default_queue=none
@@ -180,5 +180,5 @@
 
     # PROZEDUROPTIONEN EINLESEN
- while  getopts  :c:dDf:h:m:n:N:O:q:t:T:u:vX:  option
+ while  getopts  :c:dDh:m:n:N:O:q:t:T:u:vX:  option
  do
    case  $option  in
@@ -186,5 +186,4 @@
        (d)   delete_dayfile=true;;
        (D)   no_submit=true;;
-       (f)   filetransfer_protocol=$OPTARG;;
        (h)   remote_host=$OPTARG;;
        (m)   memory=$OPTARG;;
@@ -218,5 +217,4 @@
     printf "\n        -d    no job-protocol will be created     ---"
     printf "\n        -D    only the job-file will be created   ---"
-    printf "\n        -f    filetransfer protocol               scp"
     printf "\n        -h    execution host, available hosts:    $remote_host"
     printf "\n              ibm, ibmb, ibmh, ibms, ibmy, lcmuk,"
@@ -897,42 +895,33 @@
     then
        [[ $verify = true ]]  &&  printf "\n >>> transfering job to \"$remote_host\"..."
-       if [[ $filetransfer_protocol = scp ]]
-       then
-          if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]    # ssh on ibms cannot handle "~/"
-          then
-             job_catalog_save=$job_catalog
-             job_catalog=job_queue
-          elif [[ $remote_host = nech ]]
-          then
-             job_catalog_save=$job_catalog
-             job_catalog=/hpf/b/${remote_user}/job_queue
-          fi
-          if [[ $local_host = decalpha ]]
-          then
-                # VERWENDUNG VON SCP AUF DECALPHA FRAGT FEHLERHAFTERWEISE
-                # PASSWORT AB
-             /bin/scp  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
-          elif [[ $remote_host = nech ]]
-          then
-                # DATEIEN KOENNEN NUR UEBER DEN ARCHIVE-SERVER DES DKRZ
-                # TRANSFERIERT WERDEN
-             scp  $job_to_send  ${remote_user}@136.172.44.205:${job_catalog}/$job_on_remhost
-          else
-             scp  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
-          fi
-          if [[ $? = 1 ]]
-          then
-             locat=scp; exit
-          fi
-          if [[ $remote_host = ibms ]]
-          then
-             job_catalog=$job_catalog_save
-          fi
+       if [[ $remote_host = ibms  ||  $remote_host = ibmy ]]    # ssh on ibms cannot handle "~/"
+       then
+          job_catalog_save=$job_catalog
+          job_catalog=job_queue
+       elif [[ $remote_host = nech ]]
+       then
+          job_catalog_save=$job_catalog
+          job_catalog=/hpf/b/${remote_user}/job_queue
+       fi
+       if [[ $local_host = decalpha ]]
+       then
+             # VERWENDUNG VON SCP AUF DECALPHA FRAGT FEHLERHAFTERWEISE
+             # PASSWORT AB
+          /bin/scp  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
+       elif [[ $remote_host = nech ]]
+       then
+             # DATEIEN KOENNEN NUR UEBER DEN ARCHIVE-SERVER DES DKRZ
+             # TRANSFERIERT WERDEN
+          scp  $job_to_send  ${remote_user}@136.172.44.205:${job_catalog}/$job_on_remhost
        else
-          ftpcopy -s -o  $remote_addres  $job_to_send  "$job_catalog"  $job_on_remhost
-          if [[ $? = 1 ]]
-          then
-             locat=ftpcopy; exit
-          fi
+          scp  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
+       fi
+       if [[ $? = 1 ]]
+       then
+          locat=scp; exit
+       fi
+       if [[ $remote_host = ibms ]]
+       then
+          job_catalog=$job_catalog_save
        fi
        [[ $verify = true ]]  &&  printf "\n >>> finished\n"
@@ -948,71 +937,30 @@
     then
        [[ $verify = true ]]  &&  printf "\n >>> submitting job using \"qsub\"...\n"
-       if [[ $filetransfer_protocol = scp ]]
-       then
-          if [[ $remote_host != lctit ]]
-          then
-             ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
-          else
-                # TIT ERLAUBT NUR DIE AUSFÜHRUNG GANZ BESTIMMTER KOMMANDOS
-                # MIT SSH, DESHALB AUFRUF PER PIPE
-                # UEBERGANGSWEISE CHECK, OB N1GE ENVIRONMENT WIRKLICH VERFUEGBAR
-             print  "cd $job_catalog; chmod u+x $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
-             echo "first try" > send_protocol
-             while [[ $(cat send_protocol | grep -c "Forwarding to N1GE") = 0 ]]
-             do
-                if [[ $(cat send_protocol | grep -c "first try") = 1 ]]
-                then
-                   printf "\n trying to submit job to TIT cluster..."
-                else
-                   printf "\n +++ failed ... trying to submit again ..."
-                fi
-                print  "cd $job_catalog; $submcom $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  >  send_protocol  2>&1 
-                cat send_protocol
-             done
-             sleep 10
-             print  "cd $job_catalog;  rm $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
-             echo "$submcom  $job_on_remhost"
-             rm  send_protocol
-          fi
+       if [[ $remote_host != lctit ]]
+       then
+          ssh  $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
        else
-          if [[ $remote_host = ibms ]]
-          then
-             password=`cat ~/.netrc | grep $remote_addres | awk '{print $6}'`
-             echo "echo \"$remote_user\" "       >  telnet_script
-             echo "sleep 5"                      >> telnet_script
-             echo "echo \"$password\" "          >> telnet_script
-             echo "sleep 10"                     >> telnet_script
-             echo "echo \"\" "                   >> telnet_script
-             echo "sleep 2"                      >> telnet_script
-             echo "echo \"cd $job_catalog; $submcom $job_on_remhost; rm -rf $job_on_remhost\" " >> telnet_script
-             echo "sleep 10"                     >> telnet_script
-             echo "echo \"exit\" "               >> telnet_script
-
-             chmod  u+x  telnet_script
-             telnet_script  |  telnet $remote_addres  2>&1  |  grep "llsubmit:"
-             rm  telnet_script
-          elif [[ $remote_host = t3es ]]
-          then
-             password=`cat ~/.netrc | grep $remote_addres | awk '{print $6}'`
-             echo "printf \"$remote_user\\\n\" " >  telnet_script
-             echo "sleep 10"                     >> telnet_script
-             echo "printf \"$password\\\n\" "    >> telnet_script
-             echo "sleep 10"                     >> telnet_script
-             echo "printf \"\\\n\" "             >> telnet_script
-             echo "sleep 5"                      >> telnet_script
-             echo "printf \"\\\n\" "             >> telnet_script
-             echo "sleep 5"                      >> telnet_script
-             echo "printf \"cd $job_catalog; $submcom $job_on_remhost; rm -f $job_on_remhost\\\n\" " >> telnet_script
-             echo "sleep 10"                     >> telnet_script
-             echo "printf \"exit\\\n\" "         >> telnet_script
-
-             chmod  u+x  telnet_script
-             cat telnet_script
-             telnet_script | telnet $remote_addres  |  grep $remote_user
-             rm  telnet_script
-          else
-             remcom.x  $remote_addres  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
-          fi
-       fi
+             # TIT ERLAUBT NUR DIE AUSFÜHRUNG GANZ BESTIMMTER KOMMANDOS
+             # MIT SSH, DESHALB AUFRUF PER PIPE
+             # UEBERGANGSWEISE CHECK, OB N1GE ENVIRONMENT WIRKLICH VERFUEGBAR
+          print  "cd $job_catalog; chmod u+x $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
+          echo "first try" > send_protocol
+          while [[ $(cat send_protocol | grep -c "Forwarding to N1GE") = 0 ]]
+          do
+             if [[ $(cat send_protocol | grep -c "first try") = 1 ]]
+             then
+                printf "\n trying to submit job to TIT cluster..."
+             else
+                printf "\n +++ failed ... trying to submit again ..."
+             fi
+             print  "cd $job_catalog; $submcom $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  >  send_protocol  2>&1 
+             cat send_protocol
+          done
+          sleep 10
+          print  "cd $job_catalog;  rm $job_on_remhost"  |  ssh  $remote_addres  -l $remote_user  > /dev/null  2>&1 
+          echo "$submcom  $job_on_remhost"
+          rm  send_protocol
+       fi
+
        [[ $verify = true ]]  &&  printf " >>> o.k.\n"
     else
Index: /palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 81)
+++ /palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 82)
@@ -5,5 +5,20 @@
 Changed:
 -------
+All system relevant compile and link options as well as the host identifier (local_host) are specified in the configuration file.
 
+Filetransfer by ftp removed (options -f removed from mrun and mbuild).
+
+Call of (system-)FLUSH routine moved to new routine local_flush.
+
+return_addres and return_username are read from ENVPAR-NAMELIST-file.
+
+Preprocessor strings for different linux clusters changed to "lc", some preprocessor directives renamed (new: __intel_openmp_bug), preprocessor directives for old systems removed
+
+advec_particles, check_open, cpu_log, cpu_statistics, data_output_dvrp, flow_statistics, header, init_dvrp, init_particles, init_1d_model, init_dvrp, init_pegrid, local_getenv, local_system, local_tremain, local_tremain_ini, modules, run_control
+
+new:
+local_flush
+
+mbuild, mrun
 
 Errors:
Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 81)
+++ /palm/trunk/SOURCE/Makefile	(revision 82)
@@ -4,5 +4,5 @@
 # Actual revisions:
 # -----------------
-# 
+# +local_flush
 #
 # Former revisions:
@@ -51,5 +51,5 @@
 	init_particles.f90 init_pegrid.f90 init_pt_anomaly.f90 \
 	init_rankine.f90 init_slope.f90 interaction_droplets_ptq.f90 \
-	local_getenv.f90 local_stop.f90 local_system.f90 local_tremain.f90 \
+	local_flush.f90 local_getenv.f90 local_stop.f90 local_system.f90 local_tremain.f90 \
 	local_tremain_ini.f90 modules.f90 netcdf.f90 package_parin.f90 \
 	palm.f90 parin.f90 particle_boundary_conds.f90 poisfft.f90 \
@@ -81,5 +81,5 @@
 	init_dvrp.o init_grid.o init_particles.o init_pegrid.o \
 	init_pt_anomaly.o init_rankine.o init_slope.o \
-	interaction_droplets_ptq.o local_getenv.o local_stop.o \
+	interaction_droplets_ptq.o local_flush.o local_getenv.o local_stop.o \
 	local_system.o local_tremain.o local_tremain_ini.o modules.o netcdf.o \
 	package_parin.o palm.o parin.o particle_boundary_conds.o poisfft.o \
